gitlabhq/gitlabhq

View on GitHub
Gemfile.lock

Summary

Maintainability
Test Coverage
GEM
  remote: https://rubygems.org/
  specs:
    RedCloth (4.3.2)
    abstract_type (0.0.7)
    acme-client (2.0.6)
      faraday (>= 0.17, < 2.0.0)
    actioncable (6.0.3.3)
      actionpack (= 6.0.3.3)
      nio4r (~> 2.0)
      websocket-driver (>= 0.6.1)
    actionmailbox (6.0.3.3)
      actionpack (= 6.0.3.3)
      activejob (= 6.0.3.3)
      activerecord (= 6.0.3.3)
      activestorage (= 6.0.3.3)
      activesupport (= 6.0.3.3)
      mail (>= 2.7.1)
    actionmailer (6.0.3.3)
      actionpack (= 6.0.3.3)
      actionview (= 6.0.3.3)
      activejob (= 6.0.3.3)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 2.0)
    actionpack (6.0.3.3)
      actionview (= 6.0.3.3)
      activesupport (= 6.0.3.3)
      rack (~> 2.0, >= 2.0.8)
      rack-test (>= 0.6.3)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.2.0)
    actiontext (6.0.3.3)
      actionpack (= 6.0.3.3)
      activerecord (= 6.0.3.3)
      activestorage (= 6.0.3.3)
      activesupport (= 6.0.3.3)
      nokogiri (>= 1.8.5)
    actionview (6.0.3.3)
      activesupport (= 6.0.3.3)
      builder (~> 3.1)
      erubi (~> 1.4)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.1, >= 1.2.0)
    activejob (6.0.3.3)
      activesupport (= 6.0.3.3)
      globalid (>= 0.3.6)
    activemodel (6.0.3.3)
      activesupport (= 6.0.3.3)
    activerecord (6.0.3.3)
      activemodel (= 6.0.3.3)
      activesupport (= 6.0.3.3)
    activerecord-explain-analyze (0.1.0)
      activerecord (>= 4)
      pg
    activestorage (6.0.3.3)
      actionpack (= 6.0.3.3)
      activejob (= 6.0.3.3)
      activerecord (= 6.0.3.3)
      marcel (~> 0.3.1)
    activesupport (6.0.3.3)
      concurrent-ruby (~> 1.0, >= 1.0.2)
      i18n (>= 0.7, < 2)
      minitest (~> 5.1)
      tzinfo (~> 1.1)
      zeitwerk (~> 2.2, >= 2.2.2)
    acts-as-taggable-on (6.5.0)
      activerecord (>= 5.0, < 6.1)
    adamantium (0.2.0)
      ice_nine (~> 0.11.0)
      memoizable (~> 0.4.0)
    addressable (2.7.0)
      public_suffix (>= 2.0.2, < 5.0)
    aes_key_wrap (1.1.0)
    akismet (3.0.0)
    android_key_attestation (0.3.0)
    apollo_upload_server (2.0.2)
      graphql (>= 1.8)
      rails (>= 4.2)
    asana (0.10.2)
      faraday (~> 1.0)
      faraday_middleware (~> 1.0)
      faraday_middleware-multi_json (~> 0.0)
      oauth2 (~> 1.4)
    asciidoctor (2.0.10)
    asciidoctor-include-ext (0.3.1)
      asciidoctor (>= 1.5.6, < 3.0.0)
    asciidoctor-kroki (0.2.2)
      asciidoctor (~> 2.0)
    asciidoctor-plantuml (0.0.12)
      asciidoctor (>= 1.5.6, < 3.0.0)
    ast (2.4.1)
    atlassian-jwt (0.2.0)
      jwt (~> 2.1.0)
    attr_encrypted (3.1.0)
      encryptor (~> 3.0.0)
    attr_required (1.0.1)
    awesome_print (1.8.0)
    awrence (1.1.1)
    aws-eventstream (1.1.0)
    aws-partitions (1.345.0)
    aws-sdk-cloudformation (1.41.0)
      aws-sdk-core (~> 3, >= 3.99.0)
      aws-sigv4 (~> 1.1)
    aws-sdk-core (3.104.3)
      aws-eventstream (~> 1, >= 1.0.2)
      aws-partitions (~> 1, >= 1.239.0)
      aws-sigv4 (~> 1.1)
      jmespath (~> 1.0)
    aws-sdk-kms (1.36.0)
      aws-sdk-core (~> 3, >= 3.99.0)
      aws-sigv4 (~> 1.1)
    aws-sdk-s3 (1.75.0)
      aws-sdk-core (~> 3, >= 3.104.1)
      aws-sdk-kms (~> 1)
      aws-sigv4 (~> 1.1)
    aws-sigv4 (1.2.1)
      aws-eventstream (~> 1, >= 1.0.2)
    azure-storage-blob (2.0.0)
      azure-storage-common (~> 2.0)
      nokogiri (~> 1.10.4)
    azure-storage-common (2.0.1)
      faraday (~> 1.0)
      faraday_middleware (~> 1.0.0.rc1)
      nokogiri (~> 1.10.4)
    babosa (1.0.2)
    base32 (0.3.2)
    batch-loader (1.4.0)
    bcrypt (3.1.12)
    bcrypt_pbkdf (1.0.0)
    benchmark-ips (2.3.0)
    benchmark-memory (0.1.2)
      memory_profiler (~> 0.9)
    better_errors (2.7.1)
      coderay (>= 1.0.0)
      erubi (>= 1.0.0)
      rack (>= 0.9.0)
    bindata (2.4.8)
    binding_ninja (0.2.3)
    bootsnap (1.4.6)
      msgpack (~> 1.0)
    bootstrap_form (4.2.0)
      actionpack (>= 5.0)
      activemodel (>= 5.0)
    brakeman (4.2.1)
    browser (4.2.0)
    builder (3.2.4)
    bullet (6.1.0)
      activesupport (>= 3.0.0)
      uniform_notifier (~> 1.11)
    bundler-audit (0.6.1)
      bundler (>= 1.2.0, < 3)
      thor (~> 0.18)
    byebug (11.1.3)
    capybara (3.33.0)
      addressable
      mini_mime (>= 0.1.3)
      nokogiri (~> 1.8)
      rack (>= 1.6.0)
      rack-test (>= 0.6.3)
      regexp_parser (~> 1.5)
      xpath (~> 3.2)
    capybara-screenshot (1.0.22)
      capybara (>= 1.0, < 4)
      launchy
    carrierwave (1.3.1)
      activemodel (>= 4.0.0)
      activesupport (>= 4.0.0)
      mime-types (>= 1.16)
    cbor (0.5.9.6)
    character_set (1.4.0)
    charlock_holmes (0.7.7)
    childprocess (3.0.0)
    chunky_png (1.3.5)
    citrus (3.0.2)
    claide (1.0.3)
    claide-plugins (0.9.2)
      cork
      nap
      open4 (~> 1.3)
    coderay (1.1.3)
    colored2 (3.1.2)
    commonmarker (0.21.0)
      ruby-enum (~> 0.5)
    concord (0.1.5)
      adamantium (~> 0.2.0)
      equalizer (~> 0.0.9)
    concurrent-ruby (1.1.7)
    connection_pool (2.2.2)
    contracts (0.11.0)
    cork (0.3.0)
      colored2 (~> 3.1)
    cose (1.0.0)
      cbor (~> 0.5.9)
      openssl-signature_algorithm (~> 0.4.0)
    countries (3.0.0)
      i18n_data (~> 0.8.0)
      sixarm_ruby_unaccent (~> 1.1)
      unicode_utils (~> 1.4)
    crack (0.4.3)
      safe_yaml (~> 1.0.0)
    crass (1.0.6)
    creole (0.5.0)
    crystalball (0.7.0)
      git
    css_parser (1.7.0)
      addressable
    daemons (1.2.6)
    danger (8.0.6)
      claide (~> 1.0)
      claide-plugins (>= 0.9.2)
      colored2 (~> 3.1)
      cork (~> 0.1)
      faraday (>= 0.9.0, < 2.0)
      faraday-http-cache (~> 2.0)
      git (~> 1.7)
      kramdown (~> 2.3)
      kramdown-parser-gfm (~> 1.0)
      no_proxy_fix
      octokit (~> 4.7)
      terminal-table (~> 1)
    database_cleaner (1.7.0)
    debugger-ruby_core_source (1.3.8)
    deckar01-task_list (2.3.1)
      html-pipeline
    declarative (0.0.10)
    declarative-option (0.1.0)
    default_value_for (3.3.0)
      activerecord (>= 3.2.0, < 6.1)
    deprecation_toolkit (1.5.1)
      activesupport (>= 4.2)
    derailed_benchmarks (1.7.0)
      benchmark-ips (~> 2)
      get_process_mem (~> 0)
      heapy (~> 0)
      memory_profiler (~> 0)
      mini_histogram (~> 0)
      rack (>= 1)
      rake (> 10, < 14)
      ruby-statistics (>= 2.1)
      thor (>= 0.19, < 2)
      unicode_plot (>= 0.0.4, < 1.0.0)
    device_detector (1.0.0)
    devise (4.7.3)
      bcrypt (~> 3.0)
      orm_adapter (~> 0.1)
      railties (>= 4.1.0)
      responders
      warden (~> 1.2.3)
    devise-two-factor (3.1.0)
      activesupport (< 6.1)
      attr_encrypted (>= 1.3, < 4, != 2)
      devise (~> 4.0)
      railties (< 6.1)
      rotp (~> 2.0)
    diff-lcs (1.3)
    diff_match_patch (0.1.0)
    diffy (3.3.0)
    discordrb-webhooks-blackst0ne (3.3.0)
      rest-client (~> 2.0)
    docile (1.3.2)
    domain_name (0.5.20190701)
      unf (>= 0.0.5, < 1.0.0)
    doorkeeper (5.3.3)
      railties (>= 5)
    doorkeeper-openid_connect (1.7.4)
      doorkeeper (>= 5.2, < 5.5)
      json-jwt (>= 1.11.0)
    dry-configurable (0.11.5)
      concurrent-ruby (~> 1.0)
      dry-core (~> 0.4, >= 0.4.7)
      dry-equalizer (~> 0.2)
    dry-container (0.7.2)
      concurrent-ruby (~> 1.0)
      dry-configurable (~> 0.1, >= 0.1.3)
    dry-core (0.4.9)
      concurrent-ruby (~> 1.0)
    dry-equalizer (0.3.0)
    dry-inflector (0.2.0)
    dry-logic (1.0.6)
      concurrent-ruby (~> 1.0)
      dry-core (~> 0.2)
      dry-equalizer (~> 0.2)
    dry-types (1.4.0)
      concurrent-ruby (~> 1.0)
      dry-container (~> 0.3)
      dry-core (~> 0.4, >= 0.4.4)
      dry-equalizer (~> 0.3)
      dry-inflector (~> 0.1, >= 0.1.2)
      dry-logic (~> 1.0, >= 1.0.2)
    ecma-re-validator (0.2.1)
      regexp_parser (~> 1.2)
    ed25519 (1.2.4)
    elasticsearch (6.8.2)
      elasticsearch-api (= 6.8.2)
      elasticsearch-transport (= 6.8.2)
    elasticsearch-api (6.8.2)
      multi_json
    elasticsearch-model (6.1.1)
      activesupport (> 3)
      elasticsearch (~> 6)
      hashie
    elasticsearch-rails (6.1.1)
    elasticsearch-transport (6.8.2)
      faraday (~> 1)
      multi_json
    email_reply_trimmer (0.1.6)
    email_spec (2.2.0)
      htmlentities (~> 4.3.3)
      launchy (~> 2.1)
      mail (~> 2.7)
    encryptor (3.0.0)
    enumerable-statistics (2.0.1)
    equalizer (0.0.11)
    erubi (1.9.0)
    escape_utils (1.2.1)
    et-orbi (1.2.1)
      tzinfo
    eventmachine (1.2.7)
    excon (0.71.1)
    execjs (2.7.0)
    expression_parser (0.9.0)
    extended-markdown-filter (0.6.0)
      html-pipeline (~> 2.0)
    factory_bot (5.1.0)
      activesupport (>= 4.2.0)
    factory_bot_rails (5.1.0)
      factory_bot (~> 5.1.0)
      railties (>= 4.2.0)
    faraday (1.0.1)
      multipart-post (>= 1.2, < 3)
    faraday-cookie_jar (0.0.7)
      faraday (>= 0.8.0)
      http-cookie (~> 1.0.0)
    faraday-http-cache (2.2.0)
      faraday (>= 0.8)
    faraday_middleware (1.0.0)
      faraday (~> 1.0)
    faraday_middleware-aws-sigv4 (0.3.0)
      aws-sigv4 (~> 1.0)
      faraday (>= 0.15)
    faraday_middleware-multi_json (0.0.6)
      faraday_middleware
      multi_json
    fast_blank (1.0.0)
    fast_gettext (1.6.0)
    ffaker (2.10.0)
    ffi (1.13.1)
    ffi-compiler (1.0.1)
      ffi (>= 1.0.0)
      rake
    flipper (0.17.1)
    flipper-active_record (0.17.1)
      activerecord (>= 4.2, < 7)
      flipper (~> 0.17.1)
    flipper-active_support_cache_store (0.17.1)
      activesupport (>= 4.2, < 7)
      flipper (~> 0.17.1)
    flowdock (0.7.1)
      httparty (~> 0.7)
      multi_json
    fog-aliyun (0.3.3)
      fog-core
      fog-json
      ipaddress (~> 0.8)
      xml-simple (~> 1.1)
    fog-aws (3.6.7)
      fog-core (~> 2.1)
      fog-json (~> 1.1)
      fog-xml (~> 0.1)
      ipaddress (~> 0.8)
    fog-core (2.1.0)
      builder
      excon (~> 0.58)
      formatador (~> 0.2)
      mime-types
    fog-google (1.11.0)
      fog-core (<= 2.1.0)
      fog-json (~> 1.2)
      fog-xml (~> 0.1.0)
      google-api-client (>= 0.32, < 0.34)
      google-cloud-env (~> 1.2)
    fog-json (1.2.0)
      fog-core
      multi_json (~> 1.10)
    fog-local (0.6.0)
      fog-core (>= 1.27, < 3.0)
    fog-openstack (1.0.8)
      fog-core (~> 2.1)
      fog-json (>= 1.0)
      ipaddress (>= 0.8)
    fog-rackspace (0.1.1)
      fog-core (>= 1.35)
      fog-json (>= 1.0)
      fog-xml (>= 0.1)
      ipaddress (>= 0.8)
    fog-xml (0.1.3)
      fog-core
      nokogiri (>= 1.5.11, < 2.0.0)
    font-awesome-rails (4.7.0.5)
      railties (>= 3.2, < 6.1)
    formatador (0.2.5)
    fugit (1.2.1)
      et-orbi (~> 1.1, >= 1.1.8)
      raabro (~> 1.1)
    fuubar (2.2.0)
      rspec-core (~> 3.0)
      ruby-progressbar (~> 1.4)
    gemoji (3.0.1)
    gemojione (3.3.0)
      json
    get_process_mem (0.2.5)
      ffi (~> 1.0)
    gettext (3.3.6)
      locale (>= 2.0.5)
      text (>= 1.3.0)
    gettext_i18n_rails (1.8.0)
      fast_gettext (>= 0.9.0)
    gettext_i18n_rails_js (1.3.0)
      gettext (>= 3.0.2)
      gettext_i18n_rails (>= 0.7.1)
      po_to_json (>= 1.0.0)
      rails (>= 3.2.0)
    git (1.7.0)
      rchardet (~> 1.8)
    gitaly (13.6.1)
      grpc (~> 1.0)
    github-markup (1.7.0)
    gitlab-chronic (0.10.5)
      numerizer (~> 0.2)
    gitlab-fog-azure-rm (1.0.0)
      azure-storage-blob (~> 2.0)
      azure-storage-common (~> 2.0)
      fog-core (= 2.1.0)
      fog-json (~> 1.2.0)
      mime-types
      ms_rest_azure (~> 0.12.0)
    gitlab-labkit (0.13.1)
      actionpack (>= 5.0.0, < 6.1.0)
      activesupport (>= 5.0.0, < 6.1.0)
      grpc (~> 1.19)
      jaeger-client (~> 1.1)
      opentracing (~> 0.4)
      redis (> 3.0.0, < 5.0.0)
    gitlab-license (1.0.0)
    gitlab-mail_room (0.0.7)
    gitlab-markup (1.7.1)
    gitlab-net-dns (0.9.1)
    gitlab-pg_query (1.3.0)
    gitlab-puma (4.3.5.gitlab.3)
      nio4r (~> 2.0)
    gitlab-puma_worker_killer (0.1.1.gitlab.1)
      get_process_mem (~> 0.2)
      gitlab-puma (>= 2.7, < 5)
    gitlab-sidekiq-fetcher (0.5.2)
      sidekiq (~> 5)
    gitlab-styles (5.1.0)
      rubocop (~> 0.89.1)
      rubocop-gitlab-security (~> 0.1.0)
      rubocop-performance (~> 1.8.1)
      rubocop-rails (~> 2.8)
      rubocop-rspec (~> 1.44)
    gitlab_chronic_duration (0.10.6.2)
      numerizer (~> 0.2)
    gitlab_omniauth-ldap (2.1.1)
      net-ldap (~> 0.16)
      omniauth (~> 1.3)
      pyu-ruby-sasl (>= 0.0.3.3, < 0.1)
      rubyntlm (~> 0.5)
    globalid (0.4.2)
      activesupport (>= 4.2.0)
    gon (6.2.0)
      actionpack (>= 3.0)
      multi_json
      request_store (>= 1.0)
    google-api-client (0.33.2)
      addressable (~> 2.5, >= 2.5.1)
      googleauth (~> 0.9)
      httpclient (>= 2.8.1, < 3.0)
      mini_mime (~> 1.0)
      representable (~> 3.0)
      retriable (>= 2.0, < 4.0)
      signet (~> 0.12)
    google-cloud-env (1.4.0)
      faraday (>= 0.17.3, < 2.0)
    google-protobuf (3.12.4)
    googleapis-common-protos-types (1.0.5)
      google-protobuf (~> 3.11)
    googleauth (0.12.0)
      faraday (>= 0.17.3, < 2.0)
      jwt (>= 1.4, < 3.0)
      memoist (~> 0.16)
      multi_json (~> 1.11)
      os (>= 0.9, < 2.0)
      signet (~> 0.14)
    gpgme (2.0.20)
      mini_portile2 (~> 2.3)
    grape (1.4.0)
      activesupport
      builder
      dry-types (>= 1.1)
      mustermann-grape (~> 1.0.0)
      rack (>= 1.3.0)
      rack-accept
    grape-entity (0.7.1)
      activesupport (>= 4.0)
      multi_json (>= 1.3.2)
    grape-path-helpers (1.5.0)
      activesupport
      grape (~> 1.3)
      rake (> 12)
    grape_logging (1.8.3)
      grape
      rack
    graphiql-rails (1.4.10)
      railties
      sprockets-rails
    graphlient (0.4.0)
      faraday (>= 1.0)
      faraday_middleware
      graphql-client
    graphql (1.11.4)
    graphql-client (0.16.0)
      activesupport (>= 3.0)
      graphql (~> 1.8)
    graphql-docs (1.6.0)
      commonmarker (~> 0.16)
      escape_utils (~> 1.2)
      extended-markdown-filter (~> 0.4)
      gemoji (~> 3.0)
      graphql (~> 1.6)
      html-pipeline (~> 2.8)
      sass (~> 3.4)
    grpc (1.30.2)
      google-protobuf (~> 3.12)
      googleapis-common-protos-types (~> 1.0)
    gssapi (1.2.0)
      ffi (>= 1.0.1)
    guard (2.16.2)
      formatador (>= 0.2.4)
      listen (>= 2.7, < 4.0)
      lumberjack (>= 1.0.12, < 2.0)
      nenv (~> 0.1)
      notiffany (~> 0.0)
      pry (>= 0.9.12)
      shellany (~> 0.0)
      thor (>= 0.18.1)
    guard-compat (1.2.1)
    guard-rspec (4.7.3)
      guard (~> 2.1)
      guard-compat (~> 1.1)
      rspec (>= 2.99.0, < 4.0)
    haml (5.1.2)
      temple (>= 0.8.0)
      tilt
    haml_lint (0.36.0)
      haml (>= 4.0, < 5.3)
      parallel (~> 1.10)
      rainbow
      rubocop (>= 0.50.0)
      sysexits (~> 1.1)
    hamlit (2.11.0)
      temple (>= 0.8.2)
      thor
      tilt
    hana (1.3.6)
    hangouts-chat (0.0.5)
    hashdiff (1.0.1)
    hashie (3.6.0)
    hashie-forbidden_attributes (0.1.1)
      hashie (>= 3.0)
    health_check (3.0.0)
      railties (>= 5.0)
    heapy (0.1.4)
    hipchat (1.5.2)
      httparty
      mimemagic
    html-pipeline (2.12.2)
      activesupport (>= 2)
      nokogiri (>= 1.4)
    html2text (0.2.0)
      nokogiri (~> 1.6)
    htmlentities (4.3.4)
    http (4.4.1)
      addressable (~> 2.3)
      http-cookie (~> 1.0)
      http-form_data (~> 2.2)
      http-parser (~> 1.2.0)
    http-accept (1.7.0)
    http-cookie (1.0.3)
      domain_name (~> 0.5)
    http-form_data (2.3.0)
    http-parser (1.2.1)
      ffi-compiler (>= 1.0, < 2.0)
    httparty (0.16.4)
      mime-types (~> 3.0)
      multi_xml (>= 0.5.2)
    httpclient (2.8.3)
    i18n (1.8.5)
      concurrent-ruby (~> 1.0)
    i18n_data (0.8.0)
    icalendar (2.4.1)
    ice_nine (0.11.2)
    invisible_captcha (0.12.1)
      rails (>= 3.2.0)
    ipaddress (0.8.3)
    jaeger-client (1.1.0)
      opentracing (~> 0.3)
      thrift
    jira-ruby (2.0.0)
      activesupport
      atlassian-jwt
      multipart-post
      oauth (~> 0.5, >= 0.5.0)
    jmespath (1.4.0)
    js_regex (3.4.0)
      character_set (~> 1.4)
      regexp_parser (~> 1.5)
      regexp_property_values (~> 0.3)
    json (2.3.0)
    json-jwt (1.13.0)
      activesupport (>= 4.2)
      aes_key_wrap
      bindata
    json-schema (2.8.0)
      addressable (>= 2.4)
    json_schemer (0.2.12)
      ecma-re-validator (~> 0.2)
      hana (~> 1.3)
      regexp_parser (~> 1.5)
      uri_template (~> 0.7)
    jsonpath (1.0.5)
      multi_json
      to_regexp (~> 0.2.1)
    jwt (2.1.0)
    kaminari (1.2.1)
      activesupport (>= 4.1.0)
      kaminari-actionview (= 1.2.1)
      kaminari-activerecord (= 1.2.1)
      kaminari-core (= 1.2.1)
    kaminari-actionview (1.2.1)
      actionview
      kaminari-core (= 1.2.1)
    kaminari-activerecord (1.2.1)
      activerecord
      kaminari-core (= 1.2.1)
    kaminari-core (1.2.1)
    kgio (2.11.3)
    knapsack (1.17.0)
      rake
    kramdown (2.3.0)
      rexml
    kramdown-parser-gfm (1.1.0)
      kramdown (~> 2.0)
    kubeclient (4.9.1)
      http (>= 3.0, < 5.0)
      jsonpath (~> 1.0)
      recursive-open-struct (~> 1.1, >= 1.1.1)
      rest-client (~> 2.0)
    launchy (2.4.3)
      addressable (~> 2.3)
    letter_opener (1.7.0)
      launchy (~> 2.2)
    letter_opener_web (1.3.4)
      actionmailer (>= 3.2)
      letter_opener (~> 1.0)
      railties (>= 3.2)
    license_finder (6.0.0)
      bundler
      rubyzip (>= 1, < 3)
      thor
      toml (= 0.2.0)
      with_env (= 1.1.0)
      xml-simple
    licensee (8.9.2)
      rugged (~> 0.24)
    listen (3.2.1)
      rb-fsevent (~> 0.10, >= 0.10.3)
      rb-inotify (~> 0.9, >= 0.9.10)
    locale (2.1.3)
    lockbox (0.3.3)
    lograge (0.11.2)
      actionpack (>= 4)
      activesupport (>= 4)
      railties (>= 4)
      request_store (~> 1.0)
    loofah (2.7.0)
      crass (~> 1.0.2)
      nokogiri (>= 1.5.9)
    lru_redux (1.1.0)
    lumberjack (1.2.7)
    mail (2.7.1)
      mini_mime (>= 0.1.1)
    marcel (0.3.3)
      mimemagic (~> 0.3.2)
    marginalia (1.9.0)
      actionpack (>= 2.3)
      activerecord (>= 2.3)
    memoist (0.16.0)
    memoizable (0.4.2)
      thread_safe (~> 0.3, >= 0.3.1)
    memory_profiler (0.9.14)
    method_source (1.0.0)
    mime-types (3.3.1)
      mime-types-data (~> 3.2015)
    mime-types-data (3.2020.0512)
    mimemagic (0.3.5)
    mini_histogram (0.1.3)
    mini_magick (4.10.1)
    mini_mime (1.0.2)
    mini_portile2 (2.4.0)
    minitest (5.11.3)
    ms_rest (0.7.6)
      concurrent-ruby (~> 1.0)
      faraday (>= 0.9, < 2.0.0)
      timeliness (~> 0.3.10)
    ms_rest_azure (0.12.0)
      concurrent-ruby (~> 1.0)
      faraday (>= 0.9, < 2.0.0)
      faraday-cookie_jar (~> 0.0.6)
      ms_rest (~> 0.7.6)
    msgpack (1.3.3)
    multi_json (1.14.1)
    multi_xml (0.6.0)
    multipart-post (2.1.1)
    murmurhash3 (0.1.6)
    mustermann (1.1.1)
      ruby2_keywords (~> 0.0.1)
    mustermann-grape (1.0.1)
      mustermann (>= 1.0.0)
    nakayoshi_fork (0.0.4)
    nap (1.1.0)
    nenv (0.3.0)
    net-ldap (0.16.2)
    net-ntp (2.1.3)
    net-ssh (6.0.0)
    netrc (0.11.0)
    nio4r (2.5.4)
    no_proxy_fix (0.1.2)
    nokogiri (1.10.10)
      mini_portile2 (~> 2.4.0)
    nokogumbo (2.0.2)
      nokogiri (~> 1.8, >= 1.8.4)
    notiffany (0.1.3)
      nenv (~> 0.1)
      shellany (~> 0.0)
    numerizer (0.2.0)
    oauth (0.5.4)
    oauth2 (1.4.4)
      faraday (>= 0.8, < 2.0)
      jwt (>= 1.0, < 3.0)
      multi_json (~> 1.3)
      multi_xml (~> 0.5)
      rack (>= 1.2, < 3)
    octokit (4.15.0)
      faraday (>= 0.9)
      sawyer (~> 0.8.0, >= 0.5.3)
    oj (3.10.6)
    omniauth (1.9.0)
      hashie (>= 3.4.6, < 3.7.0)
      rack (>= 1.6.2, < 3)
    omniauth-atlassian-oauth2 (0.2.0)
      omniauth (>= 1.1.1)
      omniauth-oauth2 (>= 1.5)
    omniauth-auth0 (2.0.0)
      omniauth-oauth2 (~> 1.4)
    omniauth-authentiq (0.3.3)
      jwt (>= 1.5)
      omniauth-oauth2 (>= 1.5)
    omniauth-azure-oauth2 (0.0.10)
      jwt (>= 1.0, < 3.0)
      omniauth (~> 1.0)
      omniauth-oauth2 (~> 1.4)
    omniauth-cas3 (1.1.4)
      addressable (~> 2.3)
      nokogiri (~> 1.7, >= 1.7.1)
      omniauth (~> 1.2)
    omniauth-facebook (4.0.0)
      omniauth-oauth2 (~> 1.2)
    omniauth-github (1.4.0)
      omniauth (~> 1.5)
      omniauth-oauth2 (>= 1.4.0, < 2.0)
    omniauth-gitlab (1.0.3)
      omniauth (~> 1.0)
      omniauth-oauth2 (~> 1.0)
    omniauth-google-oauth2 (0.6.0)
      jwt (>= 2.0)
      omniauth (>= 1.1.1)
      omniauth-oauth2 (>= 1.5)
    omniauth-kerberos (0.3.0)
      omniauth-multipassword
      timfel-krb5-auth (~> 0.8)
    omniauth-multipassword (0.4.2)
      omniauth (~> 1.0)
    omniauth-oauth (1.1.0)
      oauth
      omniauth (~> 1.0)
    omniauth-oauth2 (1.6.0)
      oauth2 (~> 1.1)
      omniauth (~> 1.9)
    omniauth-oauth2-generic (0.2.2)
      omniauth-oauth2 (~> 1.0)
    omniauth-salesforce (1.0.5)
      omniauth (~> 1.0)
      omniauth-oauth2 (~> 1.0)
    omniauth-saml (1.10.0)
      omniauth (~> 1.3, >= 1.3.2)
      ruby-saml (~> 1.7)
    omniauth-shibboleth (1.3.0)
      omniauth (>= 1.0.0)
    omniauth-twitter (1.4.0)
      omniauth-oauth (~> 1.1)
      rack
    omniauth_crowd (2.4.0)
      activesupport
      nokogiri (>= 1.4.4)
      omniauth (~> 1.0)
    omniauth_openid_connect (0.3.5)
      addressable (~> 2.5)
      omniauth (~> 1.9)
      openid_connect (~> 1.1)
    open4 (1.3.4)
    openid_connect (1.1.8)
      activemodel
      attr_required (>= 1.0.0)
      json-jwt (>= 1.5.0)
      rack-oauth2 (>= 1.6.1)
      swd (>= 1.0.0)
      tzinfo
      validate_email
      validate_url
      webfinger (>= 1.0.1)
    openssl (2.2.0)
    openssl-signature_algorithm (0.4.0)
    opentracing (0.5.0)
    optimist (3.0.1)
    org-ruby (0.9.12)
      rubypants (~> 0.2)
    orm_adapter (0.5.0)
    os (1.0.0)
    parallel (1.19.2)
    parser (2.7.2.0)
      ast (~> 2.4.1)
    parslet (1.8.2)
    peek (1.1.0)
      railties (>= 4.0.0)
    pg (1.2.3)
    png_quantizator (0.2.1)
    po_to_json (1.0.1)
      json (>= 1.6.0)
    premailer (1.11.1)
      addressable
      css_parser (>= 1.6.0)
      htmlentities (>= 4.0.0)
    premailer-rails (1.10.3)
      actionmailer (>= 3)
      premailer (~> 1.7, >= 1.7.9)
    proc_to_ast (0.1.0)
      coderay
      parser
      unparser
    procto (0.0.3)
    prometheus-client-mmap (0.12.0)
    pry (0.13.1)
      coderay (~> 1.1)
      method_source (~> 1.0)
    pry-byebug (3.9.0)
      byebug (~> 11.0)
      pry (~> 0.13.0)
    pry-rails (0.3.9)
      pry (>= 0.10.4)
    public_suffix (4.0.6)
    pyu-ruby-sasl (0.0.3.3)
    raabro (1.1.6)
    rack (2.2.3)
    rack-accept (0.4.5)
      rack (>= 0.4)
    rack-attack (6.3.0)
      rack (>= 1.0, < 3)
    rack-cors (1.0.6)
      rack (>= 1.6.0)
    rack-oauth2 (1.16.0)
      activesupport
      attr_required
      httpclient
      json-jwt (>= 1.11.0)
      rack (>= 2.1.0)
    rack-protection (2.0.5)
      rack
    rack-proxy (0.6.0)
      rack
    rack-test (1.1.0)
      rack (>= 1.0, < 3)
    rack-timeout (0.5.2)
    rails (6.0.3.3)
      actioncable (= 6.0.3.3)
      actionmailbox (= 6.0.3.3)
      actionmailer (= 6.0.3.3)
      actionpack (= 6.0.3.3)
      actiontext (= 6.0.3.3)
      actionview (= 6.0.3.3)
      activejob (= 6.0.3.3)
      activemodel (= 6.0.3.3)
      activerecord (= 6.0.3.3)
      activestorage (= 6.0.3.3)
      activesupport (= 6.0.3.3)
      bundler (>= 1.3.0)
      railties (= 6.0.3.3)
      sprockets-rails (>= 2.0.0)
    rails-controller-testing (1.0.5)
      actionpack (>= 5.0.1.rc1)
      actionview (>= 5.0.1.rc1)
      activesupport (>= 5.0.1.rc1)
    rails-dom-testing (2.0.3)
      activesupport (>= 4.2.0)
      nokogiri (>= 1.6)
    rails-html-sanitizer (1.3.0)
      loofah (~> 2.3)
    rails-i18n (6.0.0)
      i18n (>= 0.7, < 2)
      railties (>= 6.0.0, < 7)
    railties (6.0.3.3)
      actionpack (= 6.0.3.3)
      activesupport (= 6.0.3.3)
      method_source
      rake (>= 0.8.7)
      thor (>= 0.20.3, < 2.0)
    rainbow (3.0.0)
    raindrops (0.19.1)
    rake (13.0.1)
    rb-fsevent (0.10.4)
    rb-inotify (0.10.1)
      ffi (~> 1.0)
    rblineprof (0.3.6)
      debugger-ruby_core_source (~> 1.3)
    rbtrace (0.4.14)
      ffi (>= 1.0.6)
      msgpack (>= 0.4.3)
      optimist (>= 3.0.0)
    rchardet (1.8.0)
    rdoc (6.1.2)
    re2 (1.2.0)
    recaptcha (4.13.1)
      json
    recursive-open-struct (1.1.2)
    redis (4.1.3)
    redis-actionpack (5.2.0)
      actionpack (>= 5, < 7)
      redis-rack (>= 2.1.0, < 3)
      redis-store (>= 1.1.0, < 2)
    redis-activesupport (5.2.0)
      activesupport (>= 3, < 7)
      redis-store (>= 1.3, < 2)
    redis-namespace (1.7.0)
      redis (>= 3.0.4)
    redis-rack (2.1.2)
      rack (>= 2.0.8, < 3)
      redis-store (>= 1.2, < 2)
    redis-rails (5.0.2)
      redis-actionpack (>= 5.0, < 6)
      redis-activesupport (>= 5.0, < 6)
      redis-store (>= 1.2, < 2)
    redis-store (1.8.1)
      redis (>= 4, < 5)
    regexp_parser (1.8.2)
    regexp_property_values (0.3.5)
    representable (3.0.4)
      declarative (< 0.1.0)
      declarative-option (< 0.2.0)
      uber (< 0.2.0)
    request_store (1.5.0)
      rack (>= 1.4)
    responders (3.0.0)
      actionpack (>= 5.0)
      railties (>= 5.0)
    rest-client (2.1.0)
      http-accept (>= 1.7.0, < 2.0)
      http-cookie (>= 1.0.2, < 2.0)
      mime-types (>= 1.16, < 4.0)
      netrc (~> 0.8)
    retriable (3.1.2)
    rexml (3.2.4)
    rinku (2.0.0)
    rotp (2.1.2)
    rouge (3.25.0)
    rqrcode (0.7.0)
      chunky_png
    rqrcode-rails3 (0.1.7)
      rqrcode (>= 0.4.2)
    rspec (3.9.0)
      rspec-core (~> 3.9.0)
      rspec-expectations (~> 3.9.0)
      rspec-mocks (~> 3.9.0)
    rspec-core (3.9.1)
      rspec-support (~> 3.9.1)
    rspec-expectations (3.9.1)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.9.0)
    rspec-mocks (3.9.1)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.9.0)
    rspec-parameterized (0.4.2)
      binding_ninja (>= 0.2.3)
      parser
      proc_to_ast
      rspec (>= 2.13, < 4)
      unparser
    rspec-rails (4.0.0)
      actionpack (>= 4.2)
      activesupport (>= 4.2)
      railties (>= 4.2)
      rspec-core (~> 3.9)
      rspec-expectations (~> 3.9)
      rspec-mocks (~> 3.9)
      rspec-support (~> 3.9)
    rspec-retry (0.6.1)
      rspec-core (> 3.3)
    rspec-support (3.9.2)
    rspec_junit_formatter (0.4.1)
      rspec-core (>= 2, < 4, != 2.12.0)
    rspec_profiling (0.0.6)
      activerecord
      pg
      rails
      sqlite3
    rubocop (0.89.1)
      parallel (~> 1.10)
      parser (>= 2.7.1.1)
      rainbow (>= 2.2.2, < 4.0)
      regexp_parser (>= 1.7)
      rexml
      rubocop-ast (>= 0.3.0, < 1.0)
      ruby-progressbar (~> 1.7)
      unicode-display_width (>= 1.4.0, < 2.0)
    rubocop-ast (0.8.0)
      parser (>= 2.7.1.5)
    rubocop-gitlab-security (0.1.1)
      rubocop (>= 0.51)
    rubocop-performance (1.8.1)
      rubocop (>= 0.87.0)
      rubocop-ast (>= 0.4.0)
    rubocop-rails (2.8.1)
      activesupport (>= 4.2.0)
      rack (>= 1.1)
      rubocop (>= 0.87.0)
    rubocop-rspec (1.44.1)
      rubocop (~> 0.87)
      rubocop-ast (>= 0.7.1)
    ruby-enum (0.8.0)
      i18n
    ruby-fogbugz (0.2.1)
      crack (~> 0.4)
    ruby-prof (1.3.1)
    ruby-progressbar (1.10.1)
    ruby-saml (1.7.2)
      nokogiri (>= 1.5.10)
    ruby-statistics (2.1.2)
    ruby2_keywords (0.0.2)
    ruby_parser (3.15.0)
      sexp_processor (~> 4.9)
    rubyntlm (0.6.2)
    rubypants (0.2.0)
    rubyzip (2.0.0)
    rugged (0.28.4.1)
    safe_yaml (1.0.4)
    safety_net_attestation (0.4.0)
      jwt (~> 2.0)
    sanitize (5.2.1)
      crass (~> 1.0.2)
      nokogiri (>= 1.8.0)
      nokogumbo (~> 2.0)
    sass (3.5.5)
      sass-listen (~> 4.0.0)
    sass-listen (4.0.0)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
    sassc (2.0.1)
      ffi (~> 1.9)
      rake
    sassc-rails (2.1.0)
      railties (>= 4.0.0)
      sassc (>= 2.0)
      sprockets (> 3.0)
      sprockets-rails
      tilt
    sawyer (0.8.2)
      addressable (>= 2.3.5)
      faraday (> 0.8, < 2.0)
    scss_lint (0.59.0)
      sass (~> 3.5, >= 3.5.5)
    securecompare (1.0.0)
    seed-fu (2.3.7)
      activerecord (>= 3.1)
      activesupport (>= 3.1)
    selenium-webdriver (3.142.7)
      childprocess (>= 0.5, < 4.0)
      rubyzip (>= 1.2.2)
    sentry-raven (3.0.4)
      faraday (>= 1.0)
    settingslogic (2.0.9)
    sexp_processor (4.15.1)
    shellany (0.0.1)
    shoulda-matchers (4.0.1)
      activesupport (>= 4.2.0)
    sidekiq (5.2.9)
      connection_pool (~> 2.2, >= 2.2.2)
      rack (~> 2.0)
      rack-protection (>= 1.5.0)
      redis (>= 3.3.5, < 4.2)
    sidekiq-cron (1.0.4)
      fugit (~> 1.1)
      sidekiq (>= 4.2.1)
    signet (0.14.0)
      addressable (~> 2.3)
      faraday (>= 0.17.3, < 2.0)
      jwt (>= 1.5, < 3.0)
      multi_json (~> 1.10)
    simple_po_parser (1.1.2)
    simplecov (0.18.5)
      docile (~> 1.1)
      simplecov-html (~> 0.11)
    simplecov-cobertura (1.3.1)
      simplecov (~> 0.8)
    simplecov-html (0.12.2)
    sixarm_ruby_unaccent (1.2.0)
    slack-messenger (2.3.4)
    snowplow-tracker (0.6.1)
      contracts (~> 0.7, <= 0.11)
    spring (2.1.1)
    spring-commands-rspec (1.0.4)
      spring (>= 0.9.1)
    sprockets (3.7.2)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-rails (3.2.2)
      actionpack (>= 4.0)
      activesupport (>= 4.0)
      sprockets (>= 3.0.0)
    sqlite3 (1.3.13)
    sshkey (2.0.0)
    stackprof (0.2.15)
    state_machines (0.5.0)
    state_machines-activemodel (0.7.1)
      activemodel (>= 4.1)
      state_machines (>= 0.5.0)
    state_machines-activerecord (0.6.0)
      activerecord (>= 4.1)
      state_machines-activemodel (>= 0.5.0)
    swd (1.1.2)
      activesupport (>= 3)
      attr_required (>= 0.0.5)
      httpclient (>= 2.4)
    sys-filesystem (1.1.6)
      ffi
    sysexits (1.2.0)
    temple (0.8.2)
    terminal-table (1.8.0)
      unicode-display_width (~> 1.1, >= 1.1.1)
    terser (1.0.2)
      execjs (>= 0.3.0, < 3)
    test-prof (0.12.0)
    text (1.3.1)
    thin (1.7.2)
      daemons (~> 1.0, >= 1.0.9)
      eventmachine (~> 1.0, >= 1.0.4)
      rack (>= 1, < 3)
    thor (0.20.3)
    thread_safe (0.3.6)
    thrift (0.13.0)
    tilt (2.0.10)
    timecop (0.9.1)
    timeliness (0.3.10)
    timfel-krb5-auth (0.8.3)
    to_regexp (0.2.1)
    toml (0.2.0)
      parslet (~> 1.8.0)
    toml-rb (1.0.0)
      citrus (~> 3.0, > 3.0)
    tpm-key_attestation (0.9.0)
      bindata (~> 2.4)
      openssl-signature_algorithm (~> 0.4.0)
    truncato (0.7.11)
      htmlentities (~> 4.3.1)
      nokogiri (>= 1.7.0, <= 2.0)
    tzinfo (1.2.8)
      thread_safe (~> 0.1)
    u2f (0.2.1)
    uber (0.1.0)
    unf (0.1.4)
      unf_ext
    unf_ext (0.0.7.7)
    unicode-display_width (1.7.0)
    unicode_plot (0.0.4)
      enumerable-statistics (>= 2.0.1)
    unicode_utils (1.4.0)
    unicorn (5.5.5)
      kgio (~> 2.6)
      raindrops (~> 0.7)
    unicorn-worker-killer (0.4.4)
      get_process_mem (~> 0)
      unicorn (>= 4, < 6)
    uniform_notifier (1.13.0)
    unleash (0.1.5)
      murmurhash3 (~> 0.1.6)
    unparser (0.4.7)
      abstract_type (~> 0.0.7)
      adamantium (~> 0.2.0)
      concord (~> 0.1.5)
      diff-lcs (~> 1.3)
      equalizer (~> 0.0.9)
      parser (>= 2.6.5)
      procto (~> 0.0.2)
    uri_template (0.7.0)
    valid_email (0.1.3)
      activemodel
      mail (>= 2.6.1)
    validate_email (0.1.6)
      activemodel (>= 3.0)
      mail (>= 2.2.5)
    validate_url (1.0.8)
      activemodel (>= 3.0.0)
      public_suffix
    validates_hostname (1.0.10)
      activerecord (>= 3.0)
      activesupport (>= 3.0)
    version_sorter (2.2.4)
    vmstat (2.3.0)
    warden (1.2.8)
      rack (>= 2.0.6)
    webauthn (2.3.0)
      android_key_attestation (~> 0.3.0)
      awrence (~> 1.1)
      bindata (~> 2.4)
      cbor (~> 0.5.9)
      cose (~> 1.0)
      openssl (~> 2.0)
      safety_net_attestation (~> 0.4.0)
      securecompare (~> 1.0)
      tpm-key_attestation (~> 0.9.0)
    webfinger (1.1.0)
      activesupport
      httpclient (>= 2.4)
    webmock (3.9.1)
      addressable (>= 2.3.6)
      crack (>= 0.3.2)
      hashdiff (>= 0.4.0, < 2.0.0)
    websocket-driver (0.7.3)
      websocket-extensions (>= 0.1.0)
    websocket-extensions (0.1.5)
    wikicloth (0.8.1)
      builder
      expression_parser
      rinku
    with_env (1.1.0)
    xml-simple (1.1.5)
    xpath (3.2.0)
      nokogiri (~> 1.8)
    yajl-ruby (1.4.1)
    zeitwerk (2.4.1)

PLATFORMS
  ruby

DEPENDENCIES
  RedCloth (~> 4.3.2)
  acme-client (~> 2.0, >= 2.0.6)
  activerecord-explain-analyze (~> 0.1)
  acts-as-taggable-on (~> 6.0)
  addressable (~> 2.7)
  akismet (~> 3.0)
  apollo_upload_server (~> 2.0.2)
  asana (= 0.10.2)
  asciidoctor (~> 2.0.10)
  asciidoctor-include-ext (~> 0.3.1)
  asciidoctor-kroki (~> 0.2.2)
  asciidoctor-plantuml (~> 0.0.12)
  atlassian-jwt (~> 0.2.0)
  attr_encrypted (~> 3.1.0)
  awesome_print
  aws-sdk-cloudformation (~> 1)
  aws-sdk-core (~> 3)
  aws-sdk-s3 (~> 1)
  babosa (~> 1.0.2)
  base32 (~> 0.3.0)
  batch-loader (~> 1.4.0)
  bcrypt (= 3.1.12)
  bcrypt_pbkdf (~> 1.0)
  benchmark-ips (~> 2.3.0)
  benchmark-memory (~> 0.1)
  better_errors (~> 2.7.1)
  bootsnap (~> 1.4.6)
  bootstrap_form (~> 4.2.0)
  brakeman (~> 4.2)
  browser (~> 4.2)
  bullet (~> 6.1.0)
  bundler-audit (~> 0.6.1)
  capybara (~> 3.33.0)
  capybara-screenshot (~> 1.0.22)
  carrierwave (~> 1.3)
  charlock_holmes (~> 0.7.7)
  commonmarker (~> 0.21)
  concurrent-ruby (~> 1.1)
  connection_pool (~> 2.0)
  countries (~> 3.0)
  creole (~> 0.5.0)
  crystalball (~> 0.7.0)
  danger (~> 8.0.6)
  database_cleaner (~> 1.7.0)
  deckar01-task_list (= 2.3.1)
  default_value_for (~> 3.3.0)
  deprecation_toolkit (~> 1.5.1)
  derailed_benchmarks
  device_detector
  devise (~> 4.7.2)
  devise-two-factor (~> 3.1.0)
  diff_match_patch (~> 0.1.0)
  diffy (~> 3.3)
  discordrb-webhooks-blackst0ne (~> 3.3)
  doorkeeper (~> 5.3.0)
  doorkeeper-openid_connect (~> 1.7.4)
  ed25519 (~> 1.2)
  elasticsearch-api (~> 6.8.2)
  elasticsearch-model (~> 6.1)
  elasticsearch-rails (~> 6.1)
  email_reply_trimmer (~> 0.1)
  email_spec (~> 2.2.0)
  erubi (~> 1.9.0)
  escape_utils (~> 1.1)
  factory_bot_rails (~> 5.1.0)
  faraday (~> 1.0)
  faraday_middleware-aws-sigv4 (~> 0.3.0)
  fast_blank
  ffaker (~> 2.10)
  flipper (~> 0.17.1)
  flipper-active_record (~> 0.17.1)
  flipper-active_support_cache_store (~> 0.17.1)
  flowdock (~> 0.7)
  fog-aliyun (~> 0.3)
  fog-aws (~> 3.6)
  fog-core (= 2.1.0)
  fog-google (~> 1.11)
  fog-local (~> 0.6)
  fog-openstack (~> 1.0)
  fog-rackspace (~> 0.1.1)
  font-awesome-rails (~> 4.7)
  fugit (~> 1.2.1)
  fuubar (~> 2.2.0)
  gemojione (~> 3.3)
  gettext (~> 3.3)
  gettext_i18n_rails (~> 1.8.0)
  gettext_i18n_rails_js (~> 1.3)
  gitaly (~> 13.6.1)
  github-markup (~> 1.7.0)
  gitlab-chronic (~> 0.10.5)
  gitlab-fog-azure-rm (~> 1.0)
  gitlab-labkit (= 0.13.1)
  gitlab-license (~> 1.0)
  gitlab-mail_room (~> 0.0.7)
  gitlab-markup (~> 1.7.1)
  gitlab-net-dns (~> 0.9.1)
  gitlab-pg_query (~> 1.3)
  gitlab-puma (~> 4.3.3.gitlab.2)
  gitlab-puma_worker_killer (~> 0.1.1.gitlab.1)
  gitlab-sidekiq-fetcher (= 0.5.2)
  gitlab-styles (~> 5.1.0)
  gitlab_chronic_duration (~> 0.10.6.2)
  gitlab_omniauth-ldap (~> 2.1.1)
  gon (~> 6.2)
  google-api-client (~> 0.33)
  google-protobuf (~> 3.12)
  gpgme (~> 2.0.19)
  grape (= 1.4.0)
  grape-entity (~> 0.7.1)
  grape-path-helpers (~> 1.5)
  grape_logging (~> 1.7)
  graphiql-rails (~> 1.4.10)
  graphlient (~> 0.4.0)
  graphql (~> 1.11.4)
  graphql-docs (~> 1.6.0)
  grpc (~> 1.30.2)
  gssapi
  guard-rspec
  haml_lint (~> 0.36.0)
  hamlit (~> 2.11.0)
  hangouts-chat (~> 0.0.5)
  hashie
  hashie-forbidden_attributes
  health_check (~> 3.0)
  hipchat (~> 1.5.0)
  html-pipeline (~> 2.12)
  html2text
  httparty (~> 0.16.4)
  icalendar
  invisible_captcha (~> 0.12.1)
  ipaddress (~> 0.8.3)
  jira-ruby (~> 2.0.0)
  js_regex (~> 3.4)
  json (~> 2.3.0)
  json-schema (~> 2.8.0)
  json_schemer (~> 0.2.12)
  jwt (~> 2.1.0)
  kaminari (~> 1.0)
  knapsack (~> 1.17)
  kramdown (~> 2.3.0)
  kubeclient (~> 4.9.1)
  letter_opener_web (~> 1.3.4)
  license_finder (~> 6.0)
  licensee (~> 8.9)
  lockbox (~> 0.3.3)
  lograge (~> 0.5)
  loofah (~> 2.2)
  lru_redux
  mail (= 2.7.1)
  marginalia (~> 1.9.0)
  memory_profiler (~> 0.9)
  method_source (~> 1.0)
  mimemagic (~> 0.3.2)
  mini_magick (~> 4.10.1)
  minitest (~> 5.11.0)
  multi_json (~> 1.14.1)
  nakayoshi_fork (~> 0.0.4)
  net-ldap
  net-ntp
  net-ssh (~> 6.0)
  nokogiri (~> 1.10.9)
  oauth2 (~> 1.4)
  octokit (~> 4.15)
  oj (~> 3.10.6)
  omniauth (~> 1.8)
  omniauth-atlassian-oauth2 (~> 0.2.0)
  omniauth-auth0 (~> 2.0.0)
  omniauth-authentiq (~> 0.3.3)
  omniauth-azure-oauth2 (~> 0.0.9)
  omniauth-cas3 (~> 1.1.4)
  omniauth-facebook (~> 4.0.0)
  omniauth-github (~> 1.4)
  omniauth-gitlab (~> 1.0.2)
  omniauth-google-oauth2 (~> 0.6.0)
  omniauth-kerberos (~> 0.3.0)
  omniauth-oauth2-generic (~> 0.2.2)
  omniauth-salesforce (~> 1.0.5)
  omniauth-saml (~> 1.10)
  omniauth-shibboleth (~> 1.3.0)
  omniauth-twitter (~> 1.4)
  omniauth_crowd (~> 2.4.0)
  omniauth_openid_connect (~> 0.3.5)
  org-ruby (~> 0.9.12)
  parallel (~> 1.19)
  peek (~> 1.1)
  pg (~> 1.1)
  png_quantizator (~> 0.2.1)
  premailer-rails (~> 1.10.3)
  prometheus-client-mmap (~> 0.12.0)
  pry-byebug (~> 3.9.0)
  pry-rails (~> 0.3.9)
  rack (~> 2.2.3)
  rack-attack (~> 6.3.0)
  rack-cors (~> 1.0.6)
  rack-oauth2 (~> 1.16.0)
  rack-proxy (~> 0.6.0)
  rack-timeout (~> 0.5.1)
  rails (~> 6.0.3.1)
  rails-controller-testing
  rails-i18n (~> 6.0)
  rainbow (~> 3.0)
  raindrops (~> 0.18)
  rblineprof (~> 0.3.6)
  rbtrace (~> 0.4)
  rdoc (~> 6.1.2)
  re2 (~> 1.2.0)
  recaptcha (~> 4.11)
  redis (~> 4.0)
  redis-namespace (~> 1.7.0)
  redis-rails (~> 5.0.2)
  request_store (~> 1.5)
  responders (~> 3.0)
  retriable (~> 3.1.2)
  rouge (~> 3.25.0)
  rqrcode-rails3 (~> 0.1.7)
  rspec-parameterized
  rspec-rails (~> 4.0.0)
  rspec-retry (~> 0.6.1)
  rspec_junit_formatter
  rspec_profiling (~> 0.0.6)
  ruby-fogbugz (~> 0.2.1)
  ruby-prof (~> 1.3.0)
  ruby-progressbar (~> 1.10)
  ruby_parser (~> 3.15)
  rubyzip (~> 2.0.0)
  rugged (~> 0.28)
  sanitize (~> 5.2.1)
  sassc-rails (~> 2.1.0)
  scss_lint (~> 0.59.0)
  seed-fu (~> 2.3.7)
  selenium-webdriver (~> 3.142)
  sentry-raven (~> 3.0)
  settingslogic (~> 2.0.9)
  shoulda-matchers (~> 4.0.1)
  sidekiq (~> 5.2.7)
  sidekiq-cron (~> 1.0)
  simple_po_parser (~> 1.1.2)
  simplecov (~> 0.18.5)
  simplecov-cobertura (~> 1.3.1)
  slack-messenger (~> 2.3.4)
  snowplow-tracker (~> 0.6.1)
  spring (~> 2.1.0)
  spring-commands-rspec (~> 1.0.4)
  sprockets (~> 3.7.0)
  sshkey (~> 2.0)
  stackprof (~> 0.2.15)
  state_machines-activerecord (~> 0.6.0)
  sys-filesystem (~> 1.1.6)
  terser (= 1.0.2)
  test-prof (~> 0.12.0)
  thin (~> 1.7.0)
  timecop (~> 0.9.1)
  toml-rb (~> 1.0.0)
  truncato (~> 0.7.11)
  u2f (~> 0.2.1)
  unf (~> 0.1.4)
  unicorn (~> 5.5)
  unicorn-worker-killer (~> 0.4.4)
  unleash (~> 0.1.5)
  valid_email (~> 0.1)
  validates_hostname (~> 1.0.10)
  version_sorter (~> 2.2.4)
  vmstat (~> 2.3.0)
  webauthn (~> 2.3)
  webmock (~> 3.9.1)
  wikicloth (= 0.8.1)
  yajl-ruby (~> 1.4.1)

BUNDLED WITH
   2.1.4